##
##  imlib.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         imlib
Summary:      The Gtk Image Library
URL:          http://www.gnome.org/
Vendor:       Carsten Haitzler
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        XWindow
License:      GPL
Version:      1.9.14
Release:      20020405

#   list of sources
Source0:      ftp://ftp.gnome.org/pub/GNOME/stable/sources/imlib/imlib-%{version}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, glib, gtk, tiff, jpeg, png, giflib
PreReq:       OpenPKG, openpkg >= 20020206, glib, gtk, tiff, jpeg, png, giflib
AutoReq:      no
AutoReqProv:  no

%description
    The image library for Gtk.

%prep
    %setup -q

%build
    CC="%{l_cc}" \
    CPPFLAGS="-I%{l_prefix}/include -I%{l_prefix}/include/tiff" \
    CFLAGS="%{l_cflags -O} -I%{l_prefix}/include -I%{l_prefix}/include/tiff" \
    LDFLAGS="-L%{l_prefix}/lib" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/imlib \
        --with-gtk-prefix=%{l_prefix} \
        --with-glib-prefix=%{l_prefix} \
        --disable-shared \
        --disable-nls \
        --enable-shm
    %{l_make} %{l_mflags -O}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib/pkgconfig
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%not %dir %{l_prefix}/share/aclocal'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

